Bug 839559 - [abrt] bodhi-client-0.8.5-2.fc17: proxyclient.py:396:send_request:error: (18, 'transfer closed with 119 bytes remaining to read')
[abrt] bodhi-client-0.8.5-2.fc17: proxyclient.py:396:send_request:error: (18,...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
abrt_hash:075d41a9f93184cd19adf952bab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 05:55 EDT by Jaroslav Škarvada
Modified: 2016-09-19 22:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 12:50:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-07-12 05:55:54 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -tt /usr/bin/bodhi --new --release f16 --file bodhi.template raptor-1.4.21-12.fc16 --username jskarvad
comment:        fedpkg update
executable:     /usr/bin/bodhi
kernel:         3.4.4-3.fc17.x86_64
time:           Čt 12. červenec 2012, 11:52:07 CEST
uid:            500
username:       yarda

backtrace:
:proxyclient.py:396:send_request:error: (18, 'transfer closed with 119 bytes remaining to read')
:
:Traceback (most recent call last):
:  File "/usr/bin/bodhi", line 519, in <module>
:    main()
:  File "/usr/bin/bodhi", line 217, in main
:    data = bodhi.save(**update_args)
:  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 111, in save
:    'bugs': bugs,
:  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 344, in send_request
:    auth_params=auth_params, retries=retries)
:  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 396, in send_request
:    request.perform()
:error: (18, 'transfer closed with 119 bytes remaining to read')
:
:Local variables in innermost frame:
:username: None
:retries: 0
:req_params: {'close_bugs': True, 'edited': '', 'suggest_reboot': False, 'unstable_karma': -3, 'stable_karma': 3, 'builds': ' raptor-1.4.21-12.fc16 ', 'autokarma': True, 'inheritance': False, 'notes': 'This is new version of package that fixes CVE-2012-0037.', 'request': 'testing', 'bugs': '805941', 'type_': 'security', '_csrf_token': 'WIPED_OUT'}
:i: ('_csrf_token', WIPED_OUT)
:self: <fedora.client.bodhi.BodhiClient object at 0x26d2410>
:request: <pycurl.Curl object at 0x27dedc0>
:session_id: WIPED_OUT
:req_data: 'close_bugs=True&edited=&suggest_reboot=False&unstable_karma=-3&stable_karma=3&builds=+raptor-1.4.21-12.fc16+&autokarma=True&inheritance=False&notes=This+is+new+version+of+package+that+fixes+CVE-2012-0037.&request=testing&bugs=805941&type_=security&_csrf_token=WIPED_OUT'
:auth_params: {'session_id': 'WIPED_OUT'}
:headers: ['User-agent: Fedora Bodhi Client/0.5.1', 'Accept: application/json', 'Expect:']
:token: <sha1 HASH object @ 0x277d9e0>
:num_tries: 0
:complete_params: {'close_bugs': True, 'edited': '', 'suggest_reboot': False, 'unstable_karma': -3, 'stable_karma': 3, 'builds': ' raptor-1.4.21-12.fc16 ', 'autokarma': True, 'inheritance': False, 'notes': 'This is new version of package that fixes CVE-2012-0037.', 'request': 'testing', 'bugs': '805941', 'type_': 'security', '_csrf_token': 'WIPED_OUT'}
:url: 'https://admin.fedoraproject.org/updates/save'
:file_params: None
:method: 'save'
:password: None
:data: None
:response: <fedora.client.proxyclient._PyCurlData object at 0x2788590>
Comment 1 Luke Macken 2012-11-13 15:15:50 EST
It seems like this issue was due to some sort of infrastructure outage. Have you been able to reproduce this since?
Comment 2 Jaroslav Škarvada 2012-11-13 18:36:27 EST
(In reply to comment #1)
> It seems like this issue was due to some sort of infrastructure outage. Have
> you been able to reproduce this since?

No, I haven't seen this again.
Comment 3 Toshio Ernie Kuratomi 2013-02-25 12:50:47 EST
Closing worksforme as it's a problem outside of the code.

Note You need to log in before you can comment on or make changes to this bug.